import httpRequest from '@/utils/axios'

// 获取用户信息
export function getUser() {
  return httpRequest.get('/api/passport/account/get-user-info')
}

// 获取首页信息
export function getHomeInfo(params) {
  return httpRequest.get('/api/road/v1/frontend/index/index', { params })
}

// 获取页面列表
export function getPageList(params) {
  return httpRequest.get('/api/road/v1/frontend/index/page-view', { params })
}

// 获取列表详情
export function getDocDetails(params) {
  return httpRequest.get('/api/road/v1/frontend/index/doc-view', { params })
}
